not-first-not-last.hpp File Reference
`#include <algorithm>`

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.
namespace | Gecode::Int::Unary
| Int for unary resources

## Functions

template<class ManTaskView>
ExecStatus | Gecode::Int::Unary::notlast (Space &home, TaskViewArray< ManTaskView > &t)
template<class ManTask>
ExecStatus | Gecode::Int::Unary::notfirstnotlast (Space &home, TaskArray< ManTask > &t)
| Propagate not-first and not-last.
template<class OptTaskView, class PL>
ExecStatus | Gecode::Int::Unary::notlast (Space &home, Propagator &p, TaskViewArray< OptTaskView > &t)
template<class OptTask, class PL>
ExecStatus | Gecode::Int::Unary::notfirstnotlast (Space &home, Propagator &p, TaskArray< OptTask > &t)
| Propagate not-first and not-last.